-- -----------------------------------------------------------------------------

local ADDON_NAME, ns = ...

-- define basics
ns.datas,ns.functions,ns.frames = {},{},{}

-- -----------------------------------------------------------------------------
-- INIT
-- -----------------------------------------------------------------------------

ns.datas.version    = GetAddOnMetadata(ADDON_NAME, "Version")
ns.datas.PRINT      = "|cffffffff::::|r "
ns.datas.FOLDR      = "Interface\\AddOns\\WO_ezcalinvit\\medias\\"
ns.datas.DEBUG      = false
ns.datas.InGuild    = false
ns.datas.guildOnline= {}
ns.datas.guildNotes = {}
ns.datas.guildRoles = {}
ns.datas.guildiesAl = {}
ns.datas.OutofRostr = {}
ns.datas.Roles      = {}

ns.datas.isAnchorTo = false
ns.datas.eInfo      = false
ns.datas.isOpen     = false
ns.datas.canEdit    = false
ns.datas.InPrgrss   = false
ns.datas.toPrgrss   = false
ns.datas.lastUpdat  = 0

ns.datas.playernme  = UnitName("player")
ns.datas.playerlvl  = UnitLevel("player")
ns.datas.playerrlm  = GetRealmName()

ns.datas.MinResizW  = 170
ns.datas.MaxResizW  = 444

ns.datas.attendues  = {}
ns.datas.pToRemove  = {}
ns.datas.pToInvite  = {}
ns.datas.pToInvi_p  = {}
ns.datas.toProcess  = 0

ns.datas.play_txt_maxwidth = 0
ns.datas.play_lvl_maxwidth = 0

-- -----------------------------------------------------------------------------
-- VARIABLES
-- -----------------------------------------------------------------------------

WO_ez_DB              = WO_ez_DB  or {}
WO_ez_DB.pvate_roles  = WO_ez_DB.pvate_roles   or {}

WO_ez_DBC             = WO_ez_DBC               or {}
WO_ez_DBC.width       = WO_ez_DBC.width         or 200
WO_ez_DBC.guild       = WO_ez_DBC.guild         or ''
WO_ez_DBC.guild_ranks = WO_ez_DBC.guild_ranks   or {}
WO_ez_DBC.guildrankGM = WO_ez_DBC.guildrankGM   or 2

WO_ez_DBC.pvate_list   = WO_ez_DBC.pvate_list    or true
WO_ez_DBC.pvate_name   = WO_ez_DBC.pvate_name    or "Private list"
WO_ez_DBC.pvate_roster = WO_ez_DBC.pvate_roster  or {}
WO_ez_DBC.pvate_totop  = WO_ez_DBC.pvate_totop   or true


WO_ez_DBC.enable_icons = WO_ez_DBC.enable_icons  or true
WO_ez_DBC.enable_icnof = WO_ez_DBC.enable_icnof  or false

WO_ez_DBC.enable_ilevl = WO_ez_DBC.enable_ilevl  or true
WO_ez_DBC.enable_ilevf = WO_ez_DBC.enable_ilevf  or true
WO_ez_DBC.enable_notes = WO_ez_DBC.enable_notes  or true
WO_ez_DBC.enable_noteo = WO_ez_DBC.enable_noteo  or false
WO_ez_DBC.only_invited = WO_ez_DBC.only_invited  or false
WO_ez_DBC.enable_summa = WO_ez_DBC.enable_summa  or true

-- -----------------------------------------------------------------------------
-- EVENTS
-- -----------------------------------------------------------------------------

ns.datas.events = { "PLAYER_LOGIN",
                    "PLAYER_GUILD_UPDATE",
                    "GUILD_ROSTER_UPDATE",
                    "GROUP_ROSTER_UPDATE",
                    
                    "CALENDAR_OPEN_EVENT",
                    "CALENDAR_CLOSE_EVENT",
                    
                    "CALENDAR_UPDATE_ERROR",
                    "CALENDAR_UPDATE_ERROR_WITH_COUNT",
                    "CALENDAR_UPDATE_ERROR_WITH_PLAYER_NAME",
                    
                    "CALENDAR_UPDATE_INVITE_LIST",
                    "CALENDAR_UPDATE_EVENT",
                    "CALENDAR_UPDATE_EVENT_LIST",

                    "CALENDAR_ACTION_PENDING" }
-- -----------------------------------------------------------------------------
-- TEXTE
-- -----------------------------------------------------------------------------

ns.datas.texte          = {}
ns.datas.texte.points   = " ....................................................................................................................................."

-- -----------------------------------------------------------------------------
-- COLORS
-- -----------------------------------------------------------------------------

ns.datas.colors         = {}
ns.datas.colors.white   = 'ffffff'
ns.datas.colors.yellow  = 'ffbb00'
ns.datas.colors.red     = 'e60000'
ns.datas.colors.green   = '00ffb7'
ns.datas.colors.pink    = 'ff00e1'
ns.datas.colors.blue    = '00d5ff'
ns.datas.colors.magenta = 'c054ff'
ns.datas.colors.grey    = 'b8b8b8'

ns.datas.colors.tanks   = '6283b3'
ns.datas.colors.heals   = '3aba9d'
ns.datas.colors.melees  = 'd10200'
ns.datas.colors.ranges  = '13e393'
ns.datas.colors.notcmm  = '555555'

-- -----------------------------------------------------------------------------
-- FONTS
-- -----------------------------------------------------------------------------

ns.datas.fonts = {}

local GameFontTTL = "GameFontNormal"      local _,GameFontTTL_Height, _ = GameFontNormal:GetFont()
local GameFontTXT = "GameFontNormalSmall" local _,GameFontTXT_Height, _ = GameFontNormalSmall:GetFont()

ns.datas.fonts.TTL_F  = GameFontTTL  
ns.datas.fonts.TTL    = GameFontTTL_Height    
ns.datas.fonts.TTL_02 = ns.datas.fonts.TTL* .2
ns.datas.fonts.TTL_05 = ns.datas.fonts.TTL* .5 
ns.datas.fonts.TTL_07 = ns.datas.fonts.TTL* .7
ns.datas.fonts.TTL_12 = ns.datas.fonts.TTL*1.2 
ns.datas.fonts.TTL_14 = ns.datas.fonts.TTL*1.4 
ns.datas.fonts.TTL_18 = ns.datas.fonts.TTL*1.8 
ns.datas.fonts.TTL_20 = ns.datas.fonts.TTL*2  
ns.datas.fonts.TTL_22 = ns.datas.fonts.TTL*2.2 

ns.datas.fonts.TXT_F  = GameFontTXT    
ns.datas.fonts.TXT    = GameFontTXT_Height    
ns.datas.fonts.TXT_02 = ns.datas.fonts.TXT* .2
ns.datas.fonts.TXT_05 = ns.datas.fonts.TXT* .5 
ns.datas.fonts.TXT_07 = ns.datas.fonts.TXT* .7
ns.datas.fonts.TXT_12 = ns.datas.fonts.TXT*1.2 
ns.datas.fonts.TXT_14 = ns.datas.fonts.TXT*1.4 
ns.datas.fonts.TXT_18 = ns.datas.fonts.TXT*1.8 
ns.datas.fonts.TXT_20 = ns.datas.fonts.TXT*2  
ns.datas.fonts.TXT_22 = ns.datas.fonts.TXT*2.2 

-- -----------------------------------------------------------------------------
-- SIZES
-- -----------------------------------------------------------------------------

ns.datas.sizes = {}

ns.datas.sizes.PANNEL        = WO_ez_DBC.width or 200
ns.datas.sizes.MARGES        = ns.datas.fonts.TXT_07
ns.datas.sizes.MMARGS        = ns.datas.sizes.MARGES/2

ns.datas.sizes.PANNELINFOS_H = ns.datas.fonts.TXT_22+ns.datas.sizes.MARGES
ns.datas.sizes.PANNELPRGSS_H = ns.datas.fonts.TXT_22+ns.datas.sizes.MARGES*4
ns.datas.sizes.PANNELONLYC_H = ns.datas.fonts.TXT_22

ns.datas.sizes.ICNSUM        = ns.datas.fonts.TXT_07*1.6
-- -----------------------------------------------------------------------------

ns.datas.sizes.infos_NCmmg_i = ns.datas.fonts.TTL_14
ns.datas.sizes.infos_NCmmg_t = ns.datas.fonts.TTL*1.8

ns.datas.sizes.infos_NRply_i = ns.datas.fonts.TTL
ns.datas.sizes.infos_NRply_t = ns.datas.fonts.TTL*4.5

ns.datas.sizes.infos_Commg_i = ns.datas.fonts.TTL
ns.datas.sizes.infos_Commg_t = ns.datas.fonts.TTL*4

ns.datas.sizes.infos_Invit_t = ns.datas.fonts.TTL*10

-- -----------------------------------------------------------------------------

ns.datas.sizes.title_h       = ns.datas.fonts.TXT_14+ns.datas.sizes.MMARGS
ns.datas.sizes.lines_h       = ns.datas.fonts.TXT_14

ns.datas.sizes.play_txt      = ns.datas.fonts.TTL*7 
ns.datas.sizes.play_lvl      = ns.datas.fonts.TTL*7

-- -----------------------------------------------------------------------------